<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jqMethod</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <ul>
        <li id="li1">Элемент 1</li>
        <li id="li2">Элемент 2</li>
        <li id="li3">Элемент 3</li>
        <li id="li4">Элемент 4 <ol type="a" id="ol1">
            <li >Элемент 4а</li>
            <li>Элемент 4b</li>
        </ol></li>
        <li id="li5">Элемент 5</li>
    </ul>
    <script>
        $('ul>li').filter(':even').css("background", 'grey');
        $('ul>li').first().css('text-decoration', 'underline');
        $('ul>li').eq(1).css('font-weight', 'bold');
        $('ul>li').last().css('font-style', 'italic');
        $('ul>li').not('#li3').css('color', 'red');
        $('ul>li').has('#ol1').css('text-decoration', 'line-through');
    </script>
</body>
</html>